<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ToDoApp</title>
    <link rel="stylesheet" href="./ToDoApp.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css">
</head>
<body>
    <div class="container">
        <h2>ToDoApp <i class="fa-solid fa-clipboard"></i></h2>
        <div class="box">
            <input type="text" name="inputtask" id="inputtask" placeholder="Enter Your Task">
            <button onclick="addTask()" >AddTask</button>
        </div>
        <ul class="listContainer" id="listContainer">
            


        </ul>
    </div>
    
    <script>
        const inputBox = document.getElementById('inputtask');
        const taskList = document.getElementById('listContainer');

        function addTask(){
            if(inputBox.value === ""){
                alert("Enter some task")
            }else{
                let task = document.createElement("LI");
                task.innerHTML = inputBox.value;
                taskList.append(task);

                let span =document.createElement('SPAN');
                span.innerHTML = '\u00d7';
                task.append(span);   
                saveData();        
            }
            inputBox.value ='';
            
        }
        taskList.addEventListener('click',(ele)=>{
            if(ele.target.tagName == "LI"){
                ele.target.classList.toggle('checked')
                saveData()
            }else if(ele.target.tagName == "SPAN"){
                ele.target.parentElement.remove();
                saveData()
            }
        })
            function saveData(){
                sessionStorage.setItem("tasks",taskList.innerHTML);
            }
            function ShowData(){
                taskList.innerHTML = sessionStorage.getItem("tasks");
            }
            ShowData();
    </script>
</body>
</html>